Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.caucho.jsp
Class JavaScriptPageServlet

    java.lang.Object
      |
      +--com.caucho.jsp.JavaScriptPageServlet

All Implemented Interfaces:
  Servlet

public class JavaScriptPageServlet
extends java.lang.Object
implements Servlet

JavaScriptPageServlet allows the JavaScript engine to use the public get methods as global variables.

Method Summary
`java.lang.Object` | `_cauchoCreateBean(java.lang.String beanName)` Creates a new bean.
`void` | `destroy()` Called when the servlet shuts down.
`ServletContext` | `getApplication()`
`ServletConfig` | `getConfig()`
`java.lang.Exception` | `getException()`
`JspWriter` | `getOut()`
`Servlet` | `getPage()`
`PageContext` | `getPageContext()`
`ServletRequest` | `getRequest()`
`ServletResponse` | `getResponse()`
`ServletConfig` | `getServletConfig()` Returns the servlet configuration, usually the same value as passed to the init routine.
`ServletContext` | `getServletContext()`
`java.lang.String` | `getServletInfo()` Returns an information string about the servlet.
`HttpSession` | `getSession()`
`void` | `init(ServletConfig config)` Initialize the servlet.
`void` | `service(ServletRequest req, ServletResponse res)` Service a request.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### init

    public void init(ServletConfig config)

  Description copied from interface: `Servlet`
  Initialize the servlet. ServletConfig contains servlet parameters from the configuration file. GenericServlet will store the config for later use.
  Specified by:
    `init` in interface `Servlet`
  Following copied from interface: `javax.servlet.Servlet`
  Parameters:
    `config` - information from the configuration file.

### _cauchoCreateBean

    public java.lang.Object _cauchoCreateBean(java.lang.String beanName)
                                       throws java.lang.Exception

  Creates a new bean.

### getServletInfo

    public java.lang.String getServletInfo()

  Description copied from interface: `Servlet`
  Returns an information string about the servlet.
  Specified by:
    `getServletInfo` in interface `Servlet`

### getPageContext

    public PageContext getPageContext()

### getPage

    public Servlet getPage()

### getServletConfig

    public ServletConfig getServletConfig()

  Description copied from interface: `Servlet`
  Returns the servlet configuration, usually the same value as passed to the init routine.
  Specified by:
    `getServletConfig` in interface `Servlet`

### getConfig

    public ServletConfig getConfig()

### getApplication

    public ServletContext getApplication()

### getServletContext

    public ServletContext getServletContext()

### getRequest

    public ServletRequest getRequest()

### getResponse

    public ServletResponse getResponse()

### getSession

    public HttpSession getSession()

### getException

    public java.lang.Exception getException()

### getOut

    public JspWriter getOut()

### service

    public void service(ServletRequest req,
                        ServletResponse res)
                 throws ServletException,
                        java.io.IOException

  Description copied from interface: `Servlet`
  Service a request. Since the servlet engine is multithreaded, many threads may execute `service` simultaneously. Normally, `req` and `res` will actually be `HttpServletRequest` and `HttpServletResponse` classes.
  Specified by:
    `service` in interface `Servlet`
  Following copied from interface: `javax.servlet.Servlet`
  Parameters:
    `req` - request information. Normally servlets will cast this to `HttpServletRequest`
    `res` - response information. Normally servlets will cast this to `HttpServletRequest`

### destroy

    public void destroy()

  Description copied from interface: `Servlet`
  Called when the servlet shuts down. Servlets can use this to close database connections, etc. Servlets generally only shutdown when the application closes.
  Specified by:
    `destroy` in interface `Servlet`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD